Clarify (a bit) byte ordering for RGBA frames.
[libdcp.git] / run-tests.sh
index 08db5a85498db7cf7408fd9929d8ed06043f3312..8873a3e96bc1189fee5d39008902c74883dfaa06 100755 (executable)
@@ -1,6 +1,21 @@
-#!/bin/sh
+#!/bin/bash
 
-LD_LIBRARY_PATH=build/src
-build/test/tests
-diff -ur build/test/foo test/ref/DCP
\ No newline at end of file
+#
+# Runs our test suite, which builds a DCP.
+# The output is compared against the one
+# in test/ref/DCP, and an error is given
+# if anything is different.
+#
+
+if [ "$1" == "--debug" ]; then
+  shift
+  LD_LIBRARY_PATH=build/src:build/asdcplib/src gdb --args build/test/tests
+else
+  LD_LIBRARY_PATH=build/src:build/asdcplib/src build/test/tests
+fi
+diff -ur test/ref/DCP build/test/foo
+if [ "$?" != "0" ]; then
+  echo "FAIL: files differ"
+  exit 1
+fi
+echo "PASS"
\ No newline at end of file